Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.external.api.util
Class MessageAnalyzer

    java.lang.Object
      com.fxcm.external.api.util.MessageAnalyzer

    public class MessageAnalyzer

extends Object

Constructor Summary
`MessageAnalyzer()`

Method Summary
`static boolean` | `isLimitOrder(ExecutionReport aExe)` Determine if Execution Report is a limit order
`static boolean` | `isOpenOrder(ExecutionReport aExe)` Determine if Execution Report is an open order
`static boolean` | `isStopLimitCloseOrder(ExecutionReport aExe)` Determine if Execution Report is a stop/limit close order
`static boolean` | `isStopLimitEntryOrder(ExecutionReport aExe)` Determine if Execution Report is a stop/limit entry order
`static boolean` | `isStopOrder(ExecutionReport aExe)` Determine if Execution Report is a stop order
`static boolean` | `isTrailingStopCloseOrder(ExecutionReport aExe)` Determine if Execution Report is a trailing stop order

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageAnalyzer

    public MessageAnalyzer()

Method Detail

### isLimitOrder

    public static boolean isLimitOrder(ExecutionReport aExe)

  Determine if Execution Report is a limit order

  Parameters:
    `aExe` - the reference object
  Returns:
    `true` if this object argument is; `false` otherwise.

### isOpenOrder

    public static boolean isOpenOrder(ExecutionReport aExe)

  Determine if Execution Report is an open order

  Parameters:
    `aExe` - the reference object
  Returns:
    `true` if this object argument is; `false` otherwise.

### isStopLimitCloseOrder

    public static boolean isStopLimitCloseOrder(ExecutionReport aExe)

  Determine if Execution Report is a stop/limit close order

  Parameters:
    `aExe` - the reference object
  Returns:
    `true` if this object argument is; `false` otherwise.

### isStopLimitEntryOrder

    public static boolean isStopLimitEntryOrder(ExecutionReport aExe)

  Determine if Execution Report is a stop/limit entry order

  Parameters:
    `aExe` - the reference object
  Returns:
    `true` if this object argument is; `false` otherwise.

### isStopOrder

    public static boolean isStopOrder(ExecutionReport aExe)

  Determine if Execution Report is a stop order

  Parameters:
    `aExe` - the reference object
  Returns:
    `true` if this object argument is; `false` otherwise.

### isTrailingStopCloseOrder

    public static boolean isTrailingStopCloseOrder(ExecutionReport aExe)

  Determine if Execution Report is a trailing stop order

  Parameters:
    `aExe` - the reference object
  Returns:
    `true` if this object argument is; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.